;TBtriv v1.3 FTP auto-upload script
;Written by TroyBoy on the AustNet irc Network
;Last updated: 29/01/05

; INSTRUCTIONS:
; First, you will need an FTP/web server
; You need to edit 4 entries
; my.shell.net = the name of your ftp server
; myloginname = the login name on the ftp server
; myloginpassword = the login password for that login
; public_html = the path from your ftp root where the
;  html files are to be stored. eg: public_html/TBtriv
;  (no trailing /)
;
; The source html files are created by TBtriv.mrc
;  which are located in the "$scriptdir\html" directory
;
; You can manually test this script from mirc by typing:
; /TBtrivuploadftp (filename)
;  where the (filename) must be a file located in
; the "$scriptdir\html" directory
;
; After the FTP, you can check TBtrivUploadFTP.txt to see
; all the details of how it was performed.

;======================
alias TBtrivuploadftp {
 var %filenames = $1-
 if (%filenames == $NULL) { return }
 write -c " $+ $scriptdir $+ TBtrivUploadFTP.txt" open my.shell.net
 write " $+ $scriptdir $+ TBtrivUploadFTP.txt" user myloginname myloginpassword
 write " $+ $scriptdir $+ TBtrivUploadFTP.txt" lcd " $+ $scriptdir $+ html $+ "
 write " $+ $scriptdir $+ TBtrivUploadFTP.txt" cd public_html
 var %index = 1
 while (%index <= $numtok(%filenames,42)) {
  write " $+ $scriptdir $+ TBtrivUploadFTP.txt" put " $+ $gettok(%filenames,%index,42) $+ "
  inc %index
  }
 write " $+ $scriptdir $+ TBtrivUploadFTP.txt" bye
 run -n cmd /c ftp -n -s: $+ " $+ $scriptdir $+ TBtrivUploadFTP.txt"
 }
